Page({
  /**
   * 页面的初始数据
   */
  data: {
    ispu: "1", //菜单是否平铺
    isnullgetvehicle: false //是否允许空条件获取车辆数据
  },

  /**
   * 页面加载时触发
   */
  onLoad() {
    //获取菜单样式类型
    var menutype = wx.getStorageSync('menutype');
    if (menutype === "2") {
      this.setData({ ispu: "2" });
    }

    //获取是否允许条件为空时获取车辆数据
    if (wx.getStorageSync('isnullgetvehicle') === true) {
      this.setData({ isnullgetvehicle: true });
    }
  },

  /**
   * 切换菜单类型时触发
   * @param {记录当前选择的菜单类型} e 
   */
  menustyle(e) {
    this.setData({ ispu: e.detail });
    wx.setStorageSync('menutype', e.detail);
  },

  /**
   * 单击菜单类型选项时触发，用于改变选中状态
   * @param {当前选中的菜单类型} e 
   */
  onClick(e) {
    const { name } = e.currentTarget.dataset;
    this.setData({
      ispu: name,
    });
  },

  /**
   * 当切换switch控件的选中状态时触发
   * @param {switch控件的选中状态} e 
   */
  getvehiclestyle(e) {
    this.setData({ isnullgetvehicle: e.detail })
    wx.setStorageSync('isnullgetvehicle', e.detail);
  }
})