/**
 * 警告
 * @param {警告信息} msg 
 */
function showWarn(msg) {
  wx.showModal({
    title: '警告',
    content: msg,
    showCancel: false,
  })
}

/**
 * 错误信息
 * @param {错误信息} msg
 */
function showErr(msg) {
  wx.showModal({
    title: "错误提示",
    content: msg,
    showCancel: false
  })
}

module.exports = {
  showWarn: showWarn,
  showErr: showErr
}